curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/entities/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"properties": {},
"remove_properties": [
"string"
]
}'
{
"confidence": 7.5,
"created_at": "2026-08-31T14:22:05Z",
"entity_type": "string",
"has_embedding": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"properties": {},
"updated_at": "2026-08-31T14:22:05Z"
}
Update an entity
Update an entity’s fields/properties. Required scope: write
PATCH
/
api
/
v1
/
entities
/
{id}
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/entities/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"properties": {},
"remove_properties": [
"string"
]
}'
{
"confidence": 7.5,
"created_at": "2026-08-31T14:22:05Z",
"entity_type": "string",
"has_embedding": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"properties": {},
"updated_at": "2026-08-31T14:22:05Z"
}
Update an entity’s fields/properties.
Required scope:
write
Path parameters
Request body
UpdateEntityRequest
Response
EntityResponse
Status codes
| Code | Meaning |
|---|---|
200 | Entity updated |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Entity not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/entities/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"properties": {},
"remove_properties": [
"string"
]
}'
{
"confidence": 7.5,
"created_at": "2026-08-31T14:22:05Z",
"entity_type": "string",
"has_embedding": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"properties": {},
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026